import { useState, useEffect } from 'react';

function Alert() {
  const [alertDone, setAlertDone] = useState(false);

  useEffect(function () {
    let timer;

    console.log('Uruchamianie zegara z alarmem');
    timer = setTimeout(function () {
      console.log('Czas upłynął!');
      setAlertDone(true);
    }, 2000);

    return function() {
      console.log('Porządkowanie!');
      clearTimeout(timer);
    }
  }, []);

  return (
    <>
      {!alertDone && <p>Spokojnie, jeszcze masz czas!</p>}
      {alertDone && <p>Pora wstawać!</p>}
    </>
  );
}

export default Alert;
